var styles = {
    'p': 'font-size: 16px;margin: 0 0 25px 0;word-break: break-word;',
    'h2':'font-size: 18px;',
    'h2-span':'font-weight: normal;',
    'image-package':'margin-bottom: 22px; position: relative; display: block;margin: 0; line-height: 1; text-align: center; font-size: 19px; color: #2f2f2f; word-break: break-word;',
    'image-package-img':'width: auto;height: auto; min-width: 30px; min-height: 30px;max-width: 100%;',
    'image-caption': 'display: inline-block;width: 200px;min-height: 20px;border-bottom: 1px solid #d9d9d9;margin: 0 auto;padding: 10px;font-size: 14px;color: #999;line-height: 150%;'
};

function inlineCss(str) {
    var container = $('<div></div>');
    container.html(str);
    container.find('p').attr('style',styles['p']);
    container.find('h2').attr('style',styles['h2']);
    container.find('h2 span').attr('style',styles['h2-span']);
    container.find('.image-package').attr('style',styles['image-package']);
    container.find('.image-package img').attr('style',styles['image-package-img']);
    container.find('.image-caption').attr('style',styles['image-caption']);
    return container.html();
}
//获取文章:包括内容,标题，和带内联的样式的内容
function getNyPreviewText(){
    var content = Maleskine.getContent(true);
    var inlineContent = inlineCss(content);
    var title = Maleskine.getTitle();
    var page = {};
    page.title = title;
    page.rawHtmlContent = content;
    page.inlineHtmlContent = inlineContent;
    var callBackStr = JSON.stringify(page);
    AndroidDelegate.onGetPreviewText(callBackStr);
}

//test code
var winHeight = window.innerHeight;

window.addEventListener('resize', function(event){
    winHeight = window.innerHeight;
    console.log("resize==>"+winHeight);
});


function callOnWinResize() {
    var intViewportHeight1 = window.innerHeight;
    var scrollYOffset = ZSSEditor.getYCaretInfo().y;
    console.log("intViewportHeight:" + intViewportHeight1 + ", scrollYOffset:" + scrollYOffset);
    window.setTimeout(function () {
        var intViewportHeight2 = window.innerHeight;
        var scrollYOffset = ZSSEditor.getYCaretInfo().y;
        console.log("intViewportHeight:" + intViewportHeight2 + ", scrollYOffset:" + scrollYOffset);
        if (scrollYOffset > intViewportHeight2) {
            window.scrollTo(0, scrollYOffset);
        }
    }, 300);
}

//定位在标题栏
function focusTitle() {
    window.setTimeout(function () {
        var div = document.getElementById('zss_field_title');
        var sel, range;
        range = document.createRange();
        range.selectNodeContents(div);
        range.collapse(false);
        sel = window.getSelection();
        sel.removeAllRanges();
        sel.addRange(range);
    }, 1);
}

/**
 * 设置内容，会根据保存草稿的规则去掉大部分style等属性，过滤掉不支持的标签
 * @param content
 */
function setArticleContentIgnoreStyle(content) {
    Maleskine.setContent(content);
    var simplifyContent = Maleskine.getContent();
    Maleskine.setContent(simplifyContent);
}